## org.eclipse.amp.agf.gef
Class DefaultModelFactoryProvider

    java.lang.Object
      org.eclipse.amp.agf.gef.DefaultModelFactoryProvider

All Implemented Interfaces:
  IModelFactoryProvider

    public class DefaultModelFactoryProvider

extends java.lang.Object
implements IModelFactoryProvider

Author:
  mparker

Constructor Summary
`DefaultModelFactoryProvider(IGraphicsAdapter factory)`

Method Summary
`org.eclipse.gef.EditPartFactory` `getEditPartFactory(java.lang.Object model)`
`org.eclipse.gef.EditPartFactory` `getEditPartTreeFactory(java.lang.Object model)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultModelFactoryProvider

    public DefaultModelFactoryProvider(IGraphicsAdapter factory)

Method Detail

### getEditPartFactory

    public org.eclipse.gef.EditPartFactory getEditPartFactory(java.lang.Object model)

  Specified by:
    `getEditPartFactory` in interface `IModelFactoryProvider`
  Parameters:
    `model` -
  Returns:
  See Also:
    `IModelFactoryProvider.getEditPartFactory(java.lang.Object)`

### getEditPartTreeFactory

    public org.eclipse.gef.EditPartFactory getEditPartTreeFactory(java.lang.Object model)

  Specified by:
    `getEditPartTreeFactory` in interface `IModelFactoryProvider`
  Parameters:
    `model` -
  Returns:
  See Also:
    `IModelFactoryProvider.getEditPartTreeFactory(java.lang.Object)`